Loading...
Searching...
No Matches
libcamera::ipa::FrameContext Struct Reference

Context for a frame. More...

Inheritance diagram for libcamera::ipa::FrameContext:
[legend]

## Friends

template<typename T>
class | FCQueue

## Detailed Description

Context for a frame.

The frame context stores data specific to a single frame processed by the IPA module. Each frame processed by the IPA module has a context associated with it, accessible through the Frame Context Queue.

Fields in the frame context should reflect values and controls associated with the specific frame as requested by the application, and as configured by the hardware. Fields can be read by algorithms to determine if they should update any specific action for this frame, and finally to update the metadata control lists when the frame is fully completed.

The documentation for this struct was generated from the following files:

- src/ipa/libipa/fc_queue.h
- src/ipa/libipa/fc_queue.cpp